SQLite3
SQLite3::close
SQLite3
PHP Manual

# SQLite3::changes

(No version information available, might be only in CVS)

SQLite3::changes — Returns the number of database rows that were changed (or inserted or deleted) by the most recent SQL statement

### Description

public int SQLite3::changes ( void )

Returns the number of database rows that were changed (or inserted or deleted) by the most recent SQL statement.

### Parameters

This function has no parameters.

### Return Values

Returns an integer value corresponding to the number of database rows changed (or inserted or deleted) by the most recent SQL statement.

### Examples

Example #1 SQLite3::changes() example

`<?php
$db = new SQLite3('mysqlitedb.db');
$query = $db->exec('UPDATE counter SET views=0 WHERE page="test"');
if ($query) {
echo 'Number of rows modified: ', $db->changes();
}
?>`

SQLite3
SQLite3::close
SQLite3
PHP Manual